%define module	appdirs

Name:		python-%{module}
Version:	1.4.4
Release:	%mkrel 1
Summary:	Python module for determining platform-specific directories
License:	MIT
Group:		Development/Python
URL:		http://github.com/ActiveState/appdirs
Source0:	https://pypi.io/packages/source/a/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

%description
A small Python module for determining appropriate " + " platform-specific
directories, e.g. a "user data dir".

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 module for determining platform-specific directoriess
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
A small Python 3 module for determining appropriate " + " platform-specific
directories, e.g. a "user data dir".

#------------------------------------------------
%prep
%setup -q -n %{module}-%{version}

# drop bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install

sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitelib}/%{module}.py

%check
%{__python3} setup.py test

%files -n python3-%{module}
%license LICENSE.txt
%doc README.rst CHANGES.rst
%{python3_sitelib}/%{module}.py
%{python3_sitelib}/__pycache__/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Jun 17 2020 daviddavid <daviddavid> 1.4.4-1.mga8
+ Revision: 1594173
- new version: 1.4.4

* Sun Feb 16 2020 umeabot <umeabot> 1.4.3-6.mga8
+ Revision: 1530986
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 wally <wally> 1.4.3-5.mga8
+ Revision: 1438214
- rebuild for python3.8
- drop python2 support

* Sat Jan 05 2019 wally <wally> 1.4.3-4.mga7
+ Revision: 1349692
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.4.3-3.mga7
+ Revision: 1288239
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.4.3-2.mga7
+ Revision: 1135307
- Rebuild for python 3.6

* Wed Apr 26 2017 akien <akien> 1.4.3-1.mga6
+ Revision: 1097545
- Version 1.4.3

* Fri Feb 19 2016 umeabot <umeabot> 1.4.0-3.mga6
+ Revision: 970447
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 1.4.0-2.mga6
+ Revision: 886785
- rebuild for python 3.5
- use new python macros

* Sat Aug 15 2015 daviddavid <daviddavid> 1.4.0-1.mga6
+ Revision: 864818
- imported package python-appdirs (based on Fedora)
- split to a python2 subpackage and to a python3 subpackage
- use python2 macros

